Create category

POST
/beta/knowledge/categories

Create a knowledge category. Every category belongs to a collection: pass a collection ID as parentId to create a top-level category, or a category ID to create a subcategory

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Request Body

The knowledge category to create

application/json
  1. body
translations?array<>

Initial translations for the category

parentId*string

ID of the parent. Use a collection ID to create a top-level category, or a category ID to create a subcategory

Response Body

The created knowledge category

application/json
  1. response
data*

The created category

curl -X POST 'https://dev.dixa.io/beta/knowledge/categories' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "translations": [    {      "languageId": "en",      "title": "Getting Started"    }  ],  "parentId": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"isDefaultLocation": true,
"isLocked": false,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "222e4567-e89b-12d3-a456-426614174111",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}